package com.kxs.user.biz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 错误类型枚举
 *
 * @author 没秃顶的码农
 * @date 2023/10/29
 */
@Getter
@RequiredArgsConstructor
public enum UserErrorTypeEnum {

	USER_EMPTY(-1, "用户信息为空"),
	PWD_ERROR(-1, "密码错误"),
	USER_NOT_EXIST(-1, "用户不存在"),
	ID_CARD_ERROR(-1, "身份证不合法"),
	PWD_NOT_EQUALS(-1, "两次输入密码不一致"),
	CODE_NOT_EX(-1, "手机号验证码未过期"),
	PHONE_IS_EX(-1,"该手机号码已注册"),
	USER_REMOVE(-1,"该手机号码已注销"),
	NOT_REAL(-1,"请先实名认证"),
	PHONE_IS_INCONSISTENT(-1,"手机号码不一致"),
	PARENT_IS_NULL(-1,"邀请人不存在"),
	WITHDRAW_MAX(-1, "单笔提现金额不能超过50000"),
	NOT_SUFFICIENT_FUNDS(-1, "可提现余额不足"),
	USER_LIMIT_ERROR(-1, "用户预发额度初始化失败"),
	USER_HAS_ADDED_AN_AMOUNT_OWED(-1, "此用户已添加欠款"),
	CLIENT_NULL(-1, "客户端查询异常，请检查数据库链接");

	private final int code;

	private final String description;

}
